#include <stdio.h>
#include <math.h>
int main()
{
    int p,q,r;
    long int s1,s2;
    scanf("%d%d%d%ld%ld",&p,&q,&r,&s1,&s2);
    long int br=0;
    for (long int i=s1;i<=s2;i++)
    {
        if ((i)>=(ceil((float(i)/p))+ceil(float(i)/q)+ceil(float(i)/r)))
        {
            br++;
        }
    }
    printf("%ld",br);
}